package com.platform.modules.live.vo;

import com.platform.modules.live.entity.LiveSceneEntity;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;

import java.util.Date;
import java.util.List;

/**
 * Created by TONG on 2019/5/5.
 */
@ApiModel(value = "现场对象")
public class AppSceneEntityVo {

	/** 数据ID **/
	@ApiModelProperty(value = "数据ID", dataType = "int")
	private Integer id;
	/** 现场标题 **/
	@ApiModelProperty(value = "现场标题,最多100字", required = true, dataType = "String")
	private String title;
	//现场类型
	@ApiModelProperty(value = "现场类型,1:视频现场,2:音频现场,3:图片现场,4:文字现场,5:混合现场,6:精品现场", required = true, dataType = "int")
	private Integer sceneType;
    //直播时间
    @ApiModelProperty(value = "直播时间", required = true, dataType = "Date")
    private Date liveStart;
    //直播结束时间
    @ApiModelProperty(value = "直播结束时间", required = true, dataType = "Date")
    private Date liveEnd;
    //直播地点
    @ApiModelProperty(value = "直播地点,最多200字", required = true, dataType = "String")
    private String livePosition;
    //栏目ID
    @ApiModelProperty(value = "栏目ID")
    private List<Integer> channelIdList;
    //栏目名称
    @ApiModelProperty(value = "栏目名称")
    private List<String> channelNameList;
    //直播记者
    @ApiModelProperty(value = "直播记者ID")
    private List<Integer> userIdList;
	//标题图
	@ApiModelProperty(value = "标题图", dataType = "String")
	private String titleImage;
	//视频地址
	@ApiModelProperty(value = "视频地址", dataType = "String")
	private String videoUrl;
	//现场简介
	@ApiModelProperty(value = "现场简介", dataType = "String")
	private String liveDesc;
	//现场备注
	@ApiModelProperty(value = "现场备注", dataType = "String")
	private String sceneMark;
	// 创建人
	@ApiModelProperty(value = "创建人", dataType = "int")
	private Integer creatorId;
    //创建时间
    @ApiModelProperty(value = "创建时间", dataType = "Date")
    private Date createDate;
	//修改人
	@ApiModelProperty(value = "修改人", dataType = "int")
	private Integer updatorId;
	//修改时间
	@ApiModelProperty(value = "修改时间", dataType = "Date")
	private Date updateDate;
	@ApiModelProperty(value = "是否送审，0：不送审，1：送审", dataType = "int")
	private Integer sendToCheck;
	@ApiModelProperty(value = "允许评论，0：不允许，1：允许", dataType = "int")
	private Integer allowComment;

	/**
	 * 20210419_Matt
	 *
	 * 是否自动开关播，0：关闭；1：启用
	 * */
	@ApiModelProperty(value = "是否自动开关播，0：关闭；1：启用")
	private Integer isAutoLive;

	public AppSceneEntityVo() {

	}

	public AppSceneEntityVo(LiveSceneEntity entity) {
		if (null == entity) {
			return;
		}
		this.id = entity.getId();
		this.title = entity.getTitle();
		this.sceneType = entity.getSceneType();
		this.titleImage = entity.getTitleImage();
		this.videoUrl = entity.getVideoUrl();
		this.liveDesc = entity.getLiveDesc();
		this.liveStart = entity.getLiveStart();
		this.livePosition = entity.getLivePosition();
		this.sceneMark = entity.getSceneMark();
		this.creatorId = entity.getCreatorId();
		this.createDate = entity.getCreateDate();
		this.updatorId = entity.getUpdatorId();
		this.updateDate = entity.getUpdateDate();
		this.liveEnd = entity.getLiveEnd();
		this.allowComment = entity.getAllowComment();
		this.channelIdList = entity.getChannelIdList();
		this.channelNameList = entity.getChannelNameList();

		this.isAutoLive = entity.getIsAutoLive();
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getSceneType() {
		return sceneType;
	}

	public void setSceneType(Integer sceneType) {
		this.sceneType = sceneType;
	}

	public Integer getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(Integer creatorId) {
		this.creatorId = creatorId;
	}

	public Integer getUpdatorId() {
		return updatorId;
	}

	public void setUpdatorId(Integer updatorId) {
		this.updatorId = updatorId;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public String getTitleImage() {
		return titleImage;
	}

	public void setTitleImage(String titleImage) {
		this.titleImage = titleImage;
	}

	public String getVideoUrl() {
		return videoUrl;
	}

	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}

	public String getLiveDesc() {
		return liveDesc;
	}

	public void setLiveDesc(String liveDesc) {
		this.liveDesc = liveDesc;
	}

	public Date getLiveStart() {
		return liveStart;
	}

	public void setLiveStart(Date liveStart) {
		this.liveStart = liveStart;
	}

	public String getLivePosition() {
		return livePosition;
	}

	public void setLivePosition(String livePosition) {
		this.livePosition = livePosition;
	}

	public String getSceneMark() {
		return sceneMark;
	}

	public void setSceneMark(String sceneMark) {
		this.sceneMark = sceneMark;
	}

	public List<Integer> getUserIdList() {
		return userIdList;
	}

	public void setUserIdList(List<Integer> userIdList) {
		this.userIdList = userIdList;
	}

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getLiveEnd() {
		return liveEnd;
	}

	public void setLiveEnd(Date liveEnd) {
		this.liveEnd = liveEnd;
	}

	public Integer getSendToCheck() {
		return sendToCheck;
	}

	public void setSendToCheck(Integer sendToCheck) {
		this.sendToCheck = sendToCheck;
	}

	public Integer getAllowComment() {
		return allowComment;
	}

	public void setAllowComment(Integer allowComment) {
		this.allowComment = allowComment;
	}

	public List<Integer> getChannelIdList() {
		return channelIdList;
	}

	public void setChannelIdList(List<Integer> channelIdList) {
		this.channelIdList = channelIdList;
	}

	public List<String> getChannelNameList() {
		return channelNameList;
	}

	public void setChannelNameList(List<String> channelNameList) {
		this.channelNameList = channelNameList;
	}

	public Integer getIsAutoLive() {
		return isAutoLive;
	}

	public void setIsAutoLive(Integer isAutoLive) {
		this.isAutoLive = isAutoLive;
	}
}
